PHP sérülékenység

CH azonosító

CH-14527

Angol cím

PHP imap_open Function Arbitrary Command Execution Vulnerability

Felfedezés dátuma

2018.11.13.

Súlyosság

Magas

Érintett rendszerek

PHP

Érintett verziók

PHP 5.x, 7.x

Összefoglaló

A PHP egy olyan magas kockázati sérülékenységét fedezték fel, amit kihasználva a támadók tetszőleges kódot hajthatnak végre a sérülékeny rendszeren.

Leírás

A sérülékenységet az imap_open() függvény egy hibája okozza, mivel a szoftver nem szűri megfelelően az átadott postafiókok nevét, mielőtt továbbítaná azokat az “rsh” vagy “ssh” parancsoknak. Ha az rsh és az ssh funkcionalitás engedélyezve van, és az rsh egy szimbolikus linkkel át van irányítva az ssh-ra, akkor a támadó elküldheti egy káros tartalmú IMAP szerver nevét az -oProxyCommand paraméterrel. Ennek következtében a támadó meg tudja kerülni az “exec” rendszerhívásra vonatkozó tiltásokat, és tetszőleges shell parancsot hajthat végre.

Megoldás

Frissítsen a legújabb verzióra